com.hazelcast.nio

## Interface ObjectDataOutput

- All Superinterfaces:
    DataOutput, VersionAware
  All Known Subinterfaces:
    BufferObjectDataOutput

      public interface ObjectDataOutput
      extends DataOutput, VersionAware

  Provides serialization methods for arrays by extending DataOutput

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ByteOrder` | `getByteOrder()`
    `com.hazelcast.internal.serialization.InternalSerializationService` | `getSerializationService()`
    `byte[]` | `toByteArray()`
    `byte[]` | `toByteArray(int padding)`
    `void` | `writeBooleanArray(boolean[] booleans)`
    `void` | `writeByteArray(byte[] bytes)`
    `void` | `writeCharArray(char[] chars)`
    `void` | `writeData(Data data)`
    `void` | `writeDoubleArray(double[] values)`
    `void` | `writeFloatArray(float[] values)`
    `void` | `writeIntArray(int[] ints)`
    `void` | `writeLongArray(long[] longs)`
    `void` | `writeObject(Object object)`
    `void` | `writeShortArray(short[] values)`
    `void` | `writeUTFArray(String[] values)`

    - ### Methods inherited from interface java.io.DataOutput

      `write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

    - ### Methods inherited from interface com.hazelcast.nio.VersionAware

      `getVersion`

- - ### Method Detail

    - #### writeByteArray

          void writeByteArray(byte[] bytes)
                       throws IOException

      Parameters:
        `bytes` - byte array to be written
      Throws:
        `IOException`

    - #### writeBooleanArray

          void writeBooleanArray(boolean[] booleans)
                          throws IOException

      Parameters:
        `booleans` - boolean array to be written
      Throws:
        `IOException`

    - #### writeCharArray

          void writeCharArray(char[] chars)
                       throws IOException

      Parameters:
        `chars` - char array to be written
      Throws:
        `IOException`

    - #### writeIntArray

          void writeIntArray(int[] ints)
                      throws IOException

      Parameters:
        `ints` - int array to be written
      Throws:
        `IOException`

    - #### writeLongArray

          void writeLongArray(long[] longs)
                       throws IOException

      Parameters:
        `longs` - long array to be written
      Throws:
        `IOException`

    - #### writeDoubleArray

          void writeDoubleArray(double[] values)
                         throws IOException

      Parameters:
        `values` - double array to be written
      Throws:
        `IOException`

    - #### writeFloatArray

          void writeFloatArray(float[] values)
                        throws IOException

      Parameters:
        `values` - float array to be written
      Throws:
        `IOException`

    - #### writeShortArray

          void writeShortArray(short[] values)
                        throws IOException

      Parameters:
        `values` - short array to be written
      Throws:
        `IOException`

    - #### writeUTFArray

          void writeUTFArray(String[] values)
                      throws IOException

      Parameters:
        `values` - String array to be written
      Throws:
        `IOException`

    - #### writeObject

          void writeObject(Object object)
                    throws IOException

      Parameters:
        `object` - object to be written
      Throws:
        `IOException`

    - #### writeData

          void writeData(Data data)
                  throws IOException

      Parameters:
        `data` - data to be written
      Throws:
        `IOException`

    - #### toByteArray

          byte[] toByteArray()

      Returns:
        copy of internal byte array

    - #### toByteArray

          byte[] toByteArray(int padding)

      Parameters:
        `padding` - padding bytes at the beginning of the byte-array.
      Returns:
        copy of internal byte array

    - #### getByteOrder

          ByteOrder getByteOrder()

      Returns:
        ByteOrder BIG_ENDIAN or LITTLE_ENDIAN

    - #### getSerializationService

          com.hazelcast.internal.serialization.InternalSerializationService getSerializationService()

      Returns:
        serialization service for this object

Copyright © 2018. All rights reserved.